1.2

1.2

put /v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Description

Set method

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
Resource ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathmethod_type
required
Method Type
Example : GET
enum (GET, POST, PUT, DELETE, PATCH, HEAD, OPTIONS, TRACE, CONNECT)None
bodybody
required

MethodSetRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
200OKMethodShowResponseV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods/{method_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.2"

Request body

{
    "api_key_required": false,
    "endpoint_url": "https://127.0.0.1:8000",
    "function_id": "27bb070b564349f8a31cc60734cc36a5",
    "integration_type": "HTTP",
    "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
    "request_headers": "{'test1' : True}"
}

Example HTTP response

Response 200

{
    "method": {
        "api_key_required": false,
        "endpoint_url": "https://127.0.0.1:8000",
        "function_id": "27bb070b564349f8a31cc60734cc36a5",
        "function_name": "test-function",
        "integration_type": "HTTP",
        "method_type": "GET",
        "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
        "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
        "request_headers": "{'test1' : True}",
        "request_path": "{users}",
        "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
    }
}